package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * ClientSecureCommunicationDataHistory generated by hbm2java
 */
@Entity
@Table(name="client_secure_communication_data_history"
    ,schema="public"
)
public class ClientSecureCommunicationDataHistory  implements java.io.Serializable {


     private Long id;
     private ClientSecureCommunicationData clientSecureCommunicationData;
     private MobileNumbers mobileNumbers;
     private RegisteredUser registeredUser;
     private String apiKey;
     private Date apiKeyModifiedAt;
     private String aesKey;
     private Date aesKeyModifiedAt;
     private String clientEccPublicKey;
     private String sharedSecret;
     private String keyNegotiationStatusType;
     private Integer keyExchangeSeqNumber;
     private Long messageSequenceNumber;
     private String newApiKey;
     private Date newApiKeyModifiedAt;
     private String newAesKey;
     private Date newAesKeyModifiedAt;
     private String keyRenegotiationStatusType;
     private Date usedForm;
     private Date usedTo;

    public ClientSecureCommunicationDataHistory() {
    }

	
    public ClientSecureCommunicationDataHistory(RegisteredUser registeredUser) {
        this.registeredUser = registeredUser;
    }
    public ClientSecureCommunicationDataHistory(ClientSecureCommunicationData clientSecureCommunicationData, MobileNumbers mobileNumbers, RegisteredUser registeredUser, String apiKey, Date apiKeyModifiedAt, String aesKey, Date aesKeyModifiedAt, String clientEccPublicKey, String sharedSecret, String keyNegotiationStatusType, Integer keyExchangeSeqNumber, Long messageSequenceNumber, String newApiKey, Date newApiKeyModifiedAt, String newAesKey, Date newAesKeyModifiedAt, String keyRenegotiationStatusType, Date usedForm, Date usedTo) {
       this.clientSecureCommunicationData = clientSecureCommunicationData;
       this.mobileNumbers = mobileNumbers;
       this.registeredUser = registeredUser;
       this.apiKey = apiKey;
       this.apiKeyModifiedAt = apiKeyModifiedAt;
       this.aesKey = aesKey;
       this.aesKeyModifiedAt = aesKeyModifiedAt;
       this.clientEccPublicKey = clientEccPublicKey;
       this.sharedSecret = sharedSecret;
       this.keyNegotiationStatusType = keyNegotiationStatusType;
       this.keyExchangeSeqNumber = keyExchangeSeqNumber;
       this.messageSequenceNumber = messageSequenceNumber;
       this.newApiKey = newApiKey;
       this.newApiKeyModifiedAt = newApiKeyModifiedAt;
       this.newAesKey = newAesKey;
       this.newAesKeyModifiedAt = newAesKeyModifiedAt;
       this.keyRenegotiationStatusType = keyRenegotiationStatusType;
       this.usedForm = usedForm;
       this.usedTo = usedTo;
    }
   
     @SequenceGenerator(name="generator", sequenceName="client_secure_communication_data_history_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="client_id")
    public ClientSecureCommunicationData getClientSecureCommunicationData() {
        return this.clientSecureCommunicationData;
    }
    
    public void setClientSecureCommunicationData(ClientSecureCommunicationData clientSecureCommunicationData) {
        this.clientSecureCommunicationData = clientSecureCommunicationData;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="mobile_number_id")
    public MobileNumbers getMobileNumbers() {
        return this.mobileNumbers;
    }
    
    public void setMobileNumbers(MobileNumbers mobileNumbers) {
        this.mobileNumbers = mobileNumbers;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="user_id", nullable=false)
    public RegisteredUser getRegisteredUser() {
        return this.registeredUser;
    }
    
    public void setRegisteredUser(RegisteredUser registeredUser) {
        this.registeredUser = registeredUser;
    }

    
    @Column(name="api_key")
    public String getApiKey() {
        return this.apiKey;
    }
    
    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="api_key_modified_at", length=29)
    public Date getApiKeyModifiedAt() {
        return this.apiKeyModifiedAt;
    }
    
    public void setApiKeyModifiedAt(Date apiKeyModifiedAt) {
        this.apiKeyModifiedAt = apiKeyModifiedAt;
    }

    
    @Column(name="aes_key")
    public String getAesKey() {
        return this.aesKey;
    }
    
    public void setAesKey(String aesKey) {
        this.aesKey = aesKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="aes_key_modified_at", length=29)
    public Date getAesKeyModifiedAt() {
        return this.aesKeyModifiedAt;
    }
    
    public void setAesKeyModifiedAt(Date aesKeyModifiedAt) {
        this.aesKeyModifiedAt = aesKeyModifiedAt;
    }

    
    @Column(name="client_ecc_public_key")
    public String getClientEccPublicKey() {
        return this.clientEccPublicKey;
    }
    
    public void setClientEccPublicKey(String clientEccPublicKey) {
        this.clientEccPublicKey = clientEccPublicKey;
    }

    
    @Column(name="shared_secret")
    public String getSharedSecret() {
        return this.sharedSecret;
    }
    
    public void setSharedSecret(String sharedSecret) {
        this.sharedSecret = sharedSecret;
    }

    
    @Column(name="key_negotiation_status_type")
    public String getKeyNegotiationStatusType() {
        return this.keyNegotiationStatusType;
    }
    
    public void setKeyNegotiationStatusType(String keyNegotiationStatusType) {
        this.keyNegotiationStatusType = keyNegotiationStatusType;
    }

    
    @Column(name="key_exchange_seq_number")
    public Integer getKeyExchangeSeqNumber() {
        return this.keyExchangeSeqNumber;
    }
    
    public void setKeyExchangeSeqNumber(Integer keyExchangeSeqNumber) {
        this.keyExchangeSeqNumber = keyExchangeSeqNumber;
    }

    
    @Column(name="message_sequence_number")
    public Long getMessageSequenceNumber() {
        return this.messageSequenceNumber;
    }
    
    public void setMessageSequenceNumber(Long messageSequenceNumber) {
        this.messageSequenceNumber = messageSequenceNumber;
    }

    
    @Column(name="new_api_key")
    public String getNewApiKey() {
        return this.newApiKey;
    }
    
    public void setNewApiKey(String newApiKey) {
        this.newApiKey = newApiKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="new_api_key_modified_at", length=29)
    public Date getNewApiKeyModifiedAt() {
        return this.newApiKeyModifiedAt;
    }
    
    public void setNewApiKeyModifiedAt(Date newApiKeyModifiedAt) {
        this.newApiKeyModifiedAt = newApiKeyModifiedAt;
    }

    
    @Column(name="new_aes_key")
    public String getNewAesKey() {
        return this.newAesKey;
    }
    
    public void setNewAesKey(String newAesKey) {
        this.newAesKey = newAesKey;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="new_aes_key_modified_at", length=29)
    public Date getNewAesKeyModifiedAt() {
        return this.newAesKeyModifiedAt;
    }
    
    public void setNewAesKeyModifiedAt(Date newAesKeyModifiedAt) {
        this.newAesKeyModifiedAt = newAesKeyModifiedAt;
    }

    
    @Column(name="key_renegotiation_status_type")
    public String getKeyRenegotiationStatusType() {
        return this.keyRenegotiationStatusType;
    }
    
    public void setKeyRenegotiationStatusType(String keyRenegotiationStatusType) {
        this.keyRenegotiationStatusType = keyRenegotiationStatusType;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="used_form", length=29)
    public Date getUsedForm() {
        return this.usedForm;
    }
    
    public void setUsedForm(Date usedForm) {
        this.usedForm = usedForm;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="used_to", length=29)
    public Date getUsedTo() {
        return this.usedTo;
    }
    
    public void setUsedTo(Date usedTo) {
        this.usedTo = usedTo;
    }




}


